RewriteEngine On
RewriteBase /
Options +FollowSymlinks
Options -Indexes

RewriteCond %{HTTP_HOST} ^www\.(.*)$ [NC]
RewriteRule ^(.*)$ https://%1/$1 [R=301,L]
RewriteCond %{SERVER_PORT} !=443
RewriteRule ^(.*)$ https://%{HTTP_HOST}%{REQUEST_URI} [L,R=permanent]

ErrorDocument 404 http://www.rm.rzeszow.pl/

RewriteRule ^admin/strona_glowna$ admin/index.php [L]
RewriteRule ^szablon,([^-]+)$ index.php?template=$1 [L]
RewriteRule ^lang,([^-]+)$ index.php?rw=change_language&id=$1 [L]

RewriteRule ^s,([0-9]+),([^,]+)$ index.php?rw=change_site&id=$1 [L]
RewriteRule ^s,([0-9]+),([0-9]+),([^,]+)$ index.php?rw=change_site&id=$1&bs=$2 [L]

RewriteRule ^a,([0-9]+),([^,]+)$ index.php?art=$1 [L]

RewriteRule ^rejestracja$ index.php?rw=change_site&type=registration [L]
RewriteRule ^odzyskaj_haslo$ index.php?rw=change_site&type=password_recovery [L]
RewriteRule ^wyszukiwarka$ index.php?rw=change_site&type=search [L]
RewriteRule ^([0-9]+),wyszukiwarka$ index.php?rw=change_site&type=search&bs=$1 [L]
RewriteRule ^mapa_strony$ index.php?rw=change_site&type=sitemap [L]
RewriteRule ^pobierz,([0-9]+)$ index.php?download=$1 [L]

<files htaccess.conf>
Order deny,allow
deny from all
</files>
<files database.conf>
Order deny,allow
deny from all
</files>
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule strona-glowna %{REQUEST_URI}? [R=301,L]
RewriteRule ^strona-glowna$ index.php?rw=change_site&id=1 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule o-firmie %{REQUEST_URI}? [R=301,L]
RewriteRule ^o-firmie$ index.php?rw=change_site&id=2 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule kuchnia %{REQUEST_URI}? [R=301,L]
RewriteRule ^kuchnia$ index.php?rw=change_site&id=3 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule biuro %{REQUEST_URI}? [R=301,L]
RewriteRule ^biuro$ index.php?rw=change_site&id=4 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule sypialnia %{REQUEST_URI}? [R=301,L]
RewriteRule ^sypialnia$ index.php?rw=change_site&id=5 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule zestawy-stolowe %{REQUEST_URI}? [R=301,L]
RewriteRule ^zestawy-stolowe$ index.php?rw=change_site&id=6 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule promocje %{REQUEST_URI}? [R=301,L]
RewriteRule ^promocje$ index.php?rw=change_site&id=7 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule fronty %{REQUEST_URI}? [R=301,L]
RewriteRule ^fronty$ index.php?rw=change_site&id=8 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule wypoczynki %{REQUEST_URI}? [R=301,L]
RewriteRule ^wypoczynki$ index.php?rw=change_site&id=9 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule dzieciece %{REQUEST_URI}? [R=301,L]
RewriteRule ^dzieciece$ index.php?rw=change_site&id=10 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule kontakt %{REQUEST_URI}? [R=301,L]
RewriteRule ^kontakt$ index.php?rw=change_site&id=11 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule meble %{REQUEST_URI}? [R=301,L]
RewriteRule ^meble$ index.php?rw=change_site&id=12 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule meble-pokojowe %{REQUEST_URI}? [R=301,L]
RewriteRule ^meble-pokojowe$ index.php?rw=change_site&id=13 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule media %{REQUEST_URI}? [R=301,L]
RewriteRule ^media$ index.php?rw=change_site&id=14 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule aqua %{REQUEST_URI}? [R=301,L]
RewriteRule ^aqua$ index.php?art=$11 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule dali %{REQUEST_URI}? [R=301,L]
RewriteRule ^dali$ index.php?art=$12 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule doga %{REQUEST_URI}? [R=301,L]
RewriteRule ^doga$ index.php?art=$14 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule erika %{REQUEST_URI}? [R=301,L]
RewriteRule ^erika$ index.php?art=$15 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule etruska %{REQUEST_URI}? [R=301,L]
RewriteRule ^etruska$ index.php?art=$16 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule imperial %{REQUEST_URI}? [R=301,L]
RewriteRule ^imperial$ index.php?art=$17 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule licia %{REQUEST_URI}? [R=301,L]
RewriteRule ^licia$ index.php?art=$18 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule mia %{REQUEST_URI}? [R=301,L]
RewriteRule ^mia$ index.php?art=$19 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule miro-revolution %{REQUEST_URI}? [R=301,L]
RewriteRule ^miro-revolution$ index.php?art=$110 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule panera %{REQUEST_URI}? [R=301,L]
RewriteRule ^panera$ index.php?art=$111 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule penelope %{REQUEST_URI}? [R=301,L]
RewriteRule ^penelope$ index.php?art=$112 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule volare %{REQUEST_URI}? [R=301,L]
RewriteRule ^volare$ index.php?art=$113 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule aries %{REQUEST_URI}? [R=301,L]
RewriteRule ^aries$ index.php?art=$114 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule bridge %{REQUEST_URI}? [R=301,L]
RewriteRule ^bridge$ index.php?art=$115 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule corporate %{REQUEST_URI}? [R=301,L]
RewriteRule ^corporate$ index.php?art=$116 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule eidos %{REQUEST_URI}? [R=301,L]
RewriteRule ^eidos$ index.php?art=$117 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule kamos %{REQUEST_URI}? [R=301,L]
RewriteRule ^kamos$ index.php?art=$118 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule leader %{REQUEST_URI}? [R=301,L]
RewriteRule ^leader$ index.php?art=$119 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule miro %{REQUEST_URI}? [R=301,L]
RewriteRule ^miro$ index.php?art=$120 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule open-space %{REQUEST_URI}? [R=301,L]
RewriteRule ^open-space$ index.php?art=$121 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule president %{REQUEST_URI}? [R=301,L]
RewriteRule ^president$ index.php?art=$122 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule simposio %{REQUEST_URI}? [R=301,L]
RewriteRule ^simposio$ index.php?art=$123 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule tower %{REQUEST_URI}? [R=301,L]
RewriteRule ^tower$ index.php?art=$124 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule vista %{REQUEST_URI}? [R=301,L]
RewriteRule ^vista$ index.php?art=$125 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule imperial-1 %{REQUEST_URI}? [R=301,L]
RewriteRule ^imperial-1$ index.php?art=$126 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule reception-miro %{REQUEST_URI}? [R=301,L]
RewriteRule ^reception-miro$ index.php?art=$127 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule reception %{REQUEST_URI}? [R=301,L]
RewriteRule ^reception$ index.php?art=$128 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ac-giotto %{REQUEST_URI}? [R=301,L]
RewriteRule ^ac-giotto$ index.php?art=$129 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ga-canova-classic %{REQUEST_URI}? [R=301,L]
RewriteRule ^ga-canova-classic$ index.php?art=$169 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ga-rubens %{REQUEST_URI}? [R=301,L]
RewriteRule ^ga-rubens$ index.php?art=$170 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule si-sovrana %{REQUEST_URI}? [R=301,L]
RewriteRule ^si-sovrana$ index.php?art=$171 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule toscania-night %{REQUEST_URI}? [R=301,L]
RewriteRule ^toscania-night$ index.php?art=$135 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule si-alessia %{REQUEST_URI}? [R=301,L]
RewriteRule ^si-alessia$ index.php?art=$173 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule si-serena %{REQUEST_URI}? [R=301,L]
RewriteRule ^si-serena$ index.php?art=$172 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ac-tiziano %{REQUEST_URI}? [R=301,L]
RewriteRule ^ac-tiziano$ index.php?art=$163 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ac-rossini %{REQUEST_URI}? [R=301,L]
RewriteRule ^ac-rossini$ index.php?art=$164 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ac-giotto-1 %{REQUEST_URI}? [R=301,L]
RewriteRule ^ac-giotto-1$ index.php?art=$140 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ac-donatello %{REQUEST_URI}? [R=301,L]
RewriteRule ^ac-donatello$ index.php?art=$165 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ac-liberty %{REQUEST_URI}? [R=301,L]
RewriteRule ^ac-liberty$ index.php?art=$166 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ac-raffaello %{REQUEST_URI}? [R=301,L]
RewriteRule ^ac-raffaello$ index.php?art=$167 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ga-bronzino-classic %{REQUEST_URI}? [R=301,L]
RewriteRule ^ga-bronzino-classic$ index.php?art=$168 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule bomar-meble %{REQUEST_URI}? [R=301,L]
RewriteRule ^bomar-meble$ index.php?art=$146 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule mito-box %{REQUEST_URI}? [R=301,L]
RewriteRule ^mito-box$ index.php?art=$148 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule narozniki %{REQUEST_URI}? [R=301,L]
RewriteRule ^narozniki$ index.php?art=$149 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule nowoczesne %{REQUEST_URI}? [R=301,L]
RewriteRule ^nowoczesne$ index.php?art=$150 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule klasyczne %{REQUEST_URI}? [R=301,L]
RewriteRule ^klasyczne$ index.php?art=$151 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule bimbo %{REQUEST_URI}? [R=301,L]
RewriteRule ^bimbo$ index.php?art=$152 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule codi %{REQUEST_URI}? [R=301,L]
RewriteRule ^codi$ index.php?art=$153 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule dl %{REQUEST_URI}? [R=301,L]
RewriteRule ^dl$ index.php?art=$154 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule kicco %{REQUEST_URI}? [R=301,L]
RewriteRule ^kicco$ index.php?art=$155 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule kocca %{REQUEST_URI}? [R=301,L]
RewriteRule ^kocca$ index.php?art=$156 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ms-gioia %{REQUEST_URI}? [R=301,L]
RewriteRule ^ms-gioia$ index.php?art=$157 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ms-alexandra %{REQUEST_URI}? [R=301,L]
RewriteRule ^ms-alexandra$ index.php?art=$158 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ga-proposta-n41 %{REQUEST_URI}? [R=301,L]
RewriteRule ^ga-proposta-n41$ index.php?art=$159 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ac-tiziano-1 %{REQUEST_URI}? [R=301,L]
RewriteRule ^ac-tiziano-1$ index.php?art=$160 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ac-miro %{REQUEST_URI}? [R=301,L]
RewriteRule ^ac-miro$ index.php?art=$161 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ac-versailles %{REQUEST_URI}? [R=301,L]
RewriteRule ^ac-versailles$ index.php?art=$162 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule si-aphrodite %{REQUEST_URI}? [R=301,L]
RewriteRule ^si-aphrodite$ index.php?art=$174 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule si-atena %{REQUEST_URI}? [R=301,L]
RewriteRule ^si-atena$ index.php?art=$175 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ac-florence %{REQUEST_URI}? [R=301,L]
RewriteRule ^ac-florence$ index.php?art=$176 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule ac-versaille %{REQUEST_URI}? [R=301,L]
RewriteRule ^ac-versaille$ index.php?art=$177 [L]
RewriteCond %{QUERY_STRING} !=""
RewriteCond %{REQUEST_METHOD} !=POST
RewriteRule http-www.forni.it-ita- %{REQUEST_URI}? [R=301,L]
RewriteRule ^http-www.forni.it-ita-$ index.php?art=$180 [L]